<mat-form-field>
  <input matInput placeholder="Filter" [(ngModel)]="searchTerm" />
  <mat-icon matPrefix>search</mat-icon>
</mat-form-field>
<mat-accordion>
  <mat-expansion-panel *ngFor="let elements of tcNameArray; let i = index" [class.highlight]="searchedTelecommand(elements)">
    <mat-expansion-panel-header>
      <mat-panel-title [title]="elements">
        {{ elements }}
      </mat-panel-title>
      <mat-panel-description>
        <div
          *ngFor="let table of commandHistoryTable[i]"
          [ngSwitch]="table.value.stringValue"
        >
          <mat-icon
            *ngSwitchCase="'SCHEDULED'"
            [matTooltip]="table.name! + ': Scheduled'"
            class="icon16 down"
          >
            schedule
          </mat-icon>
          <mat-icon
            *ngSwitchCase="'OK'"
            style="color: #00c752"
            [matTooltip]="table.name!"
          >
            check_circle_outline
          </mat-icon>

          <mat-icon
            *ngSwitchCase="'PENDING'"
            [matTooltip]="table.name! + ': PENDING'"
            class="icon16 down"
          >
            lens
          </mat-icon>
          <mat-icon
            *ngSwitchCase="'CANCELLED'"
            [matTooltip]="table.name! + ': CANCELLED'"
            class="icon16"
            style="color: lightgrey"
          >
            block
          </mat-icon>
          <mat-icon
            *ngSwitchCase="'DISABLED'"
            [matTooltip]="table.name! + ': DISABLED'"
            class="icon16"
            style="color: lightgrey"
          >
            block
          </mat-icon>
          <mat-icon
            *ngSwitchCase="'TIMEOUT'"
            [matTooltip]="table.name! + ': TIMEOUT'"
            class="icon16"
            style="color: red"
          >
            highlight_off
          </mat-icon>
        </div>

        <div
          *ngFor="let status of tcVerifierHistoryTable[i]"
          [ngSwitch]="status.value.stringValue"
        >
          <mat-icon
            *ngSwitchCase="'SCHEDULED'"
            [matTooltip]="status.name! + ': Scheduled'"
            class="icon16 down"
          >
            schedule
          </mat-icon>
          <mat-icon
            *ngSwitchCase="'OK'"
            [matTooltip]="status.name! + ':OK'"
            style="color: #00c752"
          >
            check_circle_outline
          </mat-icon>
          <mat-icon
            *ngSwitchCase="'PENDING'"
            [matTooltip]="status.name! + ': PENDING'"
            class="icon16 down"
          >
            lens
          </mat-icon>
          <mat-icon
            *ngSwitchCase="'CANCELLED'"
            [matTooltip]="status.name! + ': CANCELLED'"
            class="icon16"
            style="color: lightgrey"
          >
            block
          </mat-icon>
          <mat-icon
            *ngSwitchCase="'DISABLED'"
            [matTooltip]="status.name! + ': DISABLED'"
            class="icon16"
            style="color: lightgrey"
          >
            block
          </mat-icon>
          <mat-icon
            *ngSwitchCase="'TIMEOUT'"
            [matTooltip]="status.name! + ': TIMEOUT'"
            class="icon16"
            style="color: red"
          >
            highlight_off
          </mat-icon>
          <mat-icon
            *ngSwitchDefault
            [matTooltip]="
              status.name! +
              ': ' +
              status.value.stringValue! +
              ' (' +
              status.value.stringValue! +
              ')'
            "
            class="icon16"
            style="color: red"
          >
            highlight_off
          </mat-icon>
        </div>
        <div class="time">
          <a> {{ this.tcTimeArray[i] | date : "dd/MM/YYYY HH:mm:ss" }} UTC</a>
        </div>
      </mat-panel-description>
    </mat-expansion-panel-header>

    <h3>Id</h3>
    <h4>{{ this.tcIdArray[i] }}</h4>
    <mat-divider></mat-divider>
    <h3>Generation Time</h3>
    <h4>{{ this.tcTimeArray[i] }}</h4>
    <mat-divider></mat-divider>
    <h3>Assignments</h3>
    <h4 *ngFor="let assignment of tcAssigmentArray[i]">
      {{ assignment.name }}: {{ getValue(assignment) }}
    </h4>
  </mat-expansion-panel></mat-accordion
>
